import request, { apiGet } from '@/utils/request';
//移动火源
export function runFireApi() {
  return apiGet('/runfire?typef=1');
}

//点火
export function openFireApi() {
  return apiGet('/dianhuo');
}

//开灯
export function openLightApi() {
  return apiGet('/openLight');
}

//关灯
export function closeLightApi() {
  return apiGet('/closeLight');
}

//电磁阀 0 1
export function openElectricApi(params) {
  return apiGet('/diancifa', params);
}

//试验下一步
export function nextStep(params) {
  return apiGet('/insertExperiment', params);
}

//开始试验 0 结束 1开始
export function startOrEndExperimentApi(params) {
  return apiGet('/insertExperimentStep', params);
}

//结束试验
export function endExperimentApi(params) {
  return request({
    url: '/endExperiment',
    method: 'get',
    params
  });
}

export function readyShiYan(params) {
  return apiGet('/ready_shiyan', params);
}

export function start_experiment2() {
  return apiGet('/start_experiment2');
}
